Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.client.event.sound
Class PlayStreamingEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.client.event.sound.SoundEvent
              net.minecraftforge.client.event.sound.SoundResultEvent
                  net.minecraftforge.client.event.sound.PlayStreamingEvent

    public class PlayStreamingEvent

extends SoundResultEvent

Raised when the SoundManager tries to play a 'Streaming' file, in vanilla it is only the Jukebox that uses this function. If you return null from this function it will prevent the sound from being played, you can return a different entry if you want to change the sound being played.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`float` | `x`
`float` | `y`
`float` | `z`

Fields inherited from class net.minecraftforge.client.event.sound.SoundResultEvent
`manager, name, pitch, result, source, volume`

Constructor Summary
`PlayStreamingEvent(SoundManager manager, SoundPoolEntry source, String name, float x, float y, float z)`

Method Summary

Methods inherited from class net.minecraftforge.client.event.sound.SoundEvent
`getResult`

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### x

    public final float x

### y

    public final float y

### z

    public final float z

Constructor Detail

### PlayStreamingEvent

    public PlayStreamingEvent(SoundManager manager,
                              SoundPoolEntry source,
                              String name,
                              float x,
                              float y,
                              float z)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD